## org.apache.http.impl.nio
Class DefaultHttpServerIODispatch

    java.lang.Object
      org.apache.http.impl.nio.reactor.AbstractIODispatch<DefaultNHttpServerConnection>
          org.apache.http.impl.nio.DefaultHttpServerIODispatch

All Implemented Interfaces:
  IOEventDispatch

    @Immutable
    public class DefaultHttpServerIODispatch

extends AbstractIODispatch<DefaultNHttpServerConnection>

Default `IOEventDispatch` implementation that supports both plain (non-encrypted) and SSL encrypted server side HTTP connections.

Since:
  4.2

Field Summary

Fields inherited from interface org.apache.http.nio.reactor.IOEventDispatch
`CONNECTION_KEY`

Constructor Summary
`DefaultHttpServerIODispatch(NHttpServerEventHandler handler, HttpParams params)`
`DefaultHttpServerIODispatch(NHttpServerEventHandler handler, NHttpConnectionFactory<DefaultNHttpServerConnection> connFactory)`
`DefaultHttpServerIODispatch(NHttpServerEventHandler handler, SSLContext sslcontext, HttpParams params)`
`DefaultHttpServerIODispatch(NHttpServerEventHandler handler, SSLContext sslcontext, SSLSetupHandler sslHandler, HttpParams params)`

Method Summary
`protected DefaultNHttpServerConnection` `createConnection(IOSession session)`
`protected void` `onClosed(DefaultNHttpServerConnection conn)`
`protected void` `onConnected(DefaultNHttpServerConnection conn)`
`protected void` `onException(DefaultNHttpServerConnection conn, IOException ex)`
`protected void` `onInputReady(DefaultNHttpServerConnection conn)`
`protected void` `onOutputReady(DefaultNHttpServerConnection conn)`
`protected void` `onTimeout(DefaultNHttpServerConnection conn)`

Methods inherited from class org.apache.http.impl.nio.reactor.AbstractIODispatch
`connected, disconnected, inputReady, outputReady, timeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultHttpServerIODispatch

    public DefaultHttpServerIODispatch(NHttpServerEventHandler handler,
                                       NHttpConnectionFactory<DefaultNHttpServerConnection> connFactory)

### DefaultHttpServerIODispatch

    public DefaultHttpServerIODispatch(NHttpServerEventHandler handler,
                                       HttpParams params)

### DefaultHttpServerIODispatch

    public DefaultHttpServerIODispatch(NHttpServerEventHandler handler,
                                       SSLContext sslcontext,
                                       SSLSetupHandler sslHandler,
                                       HttpParams params)

### DefaultHttpServerIODispatch

    public DefaultHttpServerIODispatch(NHttpServerEventHandler handler,
                                       SSLContext sslcontext,
                                       HttpParams params)

Method Detail

### createConnection

    protected DefaultNHttpServerConnection createConnection(IOSession session)

  Specified by:
    `createConnection` in class `AbstractIODispatch<DefaultNHttpServerConnection>`

### onConnected

    protected void onConnected(DefaultNHttpServerConnection conn)

  Specified by:
    `onConnected` in class `AbstractIODispatch<DefaultNHttpServerConnection>`

### onClosed

    protected void onClosed(DefaultNHttpServerConnection conn)

  Specified by:
    `onClosed` in class `AbstractIODispatch<DefaultNHttpServerConnection>`

### onException

    protected void onException(DefaultNHttpServerConnection conn,
                               IOException ex)

  Specified by:
    `onException` in class `AbstractIODispatch<DefaultNHttpServerConnection>`

### onInputReady

    protected void onInputReady(DefaultNHttpServerConnection conn)

  Specified by:
    `onInputReady` in class `AbstractIODispatch<DefaultNHttpServerConnection>`

### onOutputReady

    protected void onOutputReady(DefaultNHttpServerConnection conn)

  Specified by:
    `onOutputReady` in class `AbstractIODispatch<DefaultNHttpServerConnection>`

### onTimeout

    protected void onTimeout(DefaultNHttpServerConnection conn)

  Specified by:
    `onTimeout` in class `AbstractIODispatch<DefaultNHttpServerConnection>`

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.